.. bro:id:: test_func_params_func

   :Type: :bro:type:`function` (i: :bro:type:`int`, j: :bro:type:`int`) : :bro:type:`string`

   This is a global function declaration.
   

   :i: First param.

   :j: Second param.
   

   :returns: A string.

.. bro:type:: test_func_params_rec

   :Type: :bro:type:`record`

      field_func: :bro:type:`function` (i: :bro:type:`int`, j: :bro:type:`int`) : :bro:type:`string`
         This is a record field function.
         

         :i: First param.

         :j: Second param.
         

         :returns: A string.


